Bug 636945 - Review Request: perl-Convert-UU - Perl module for uuencode and uudecode
Summary: Review Request: perl-Convert-UU - Perl module for uuencode and uudecode
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 633743
TreeView+ depends on / blocked
 
Reported: 2010-09-23 18:17 UTC by Marcela Mašláňová
Modified: 2014-01-30 06:53 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-10-04 11:27:47 UTC
ppisar: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marcela Mašláňová 2010-09-23 18:17:44 UTC
SPEC url: http://mmaslano.fedorapeople.org/review/perl-Convert-UU.spec
SRPM url: http://mmaslano.fedorapeople.org/review/perl-Convert-UU-0.5201-1.fc15.src.rpm
Description: Perl module for uuencode and uudecode

pmlint ../SRPMS/perl-Convert-UU-0.5201-1.fc15.src.rpm 
perl-Convert-UU.src: W: spelling-error Summary(en_US) uuencode -> encoder, encode, Unicode
perl-Convert-UU.src: W: spelling-error Summary(en_US) uudecode -> Unicode, undecided, decoupage
perl-Convert-UU.src: W: spelling-error %description -l en_US uuencode -> encoder, encode, Unicode
perl-Convert-UU.src: W: spelling-error %description -l en_US uudecode -> Unicode, undecided, decoupage
perl-Convert-UU.src: W: no-cleaning-of-buildroot %clean
perl-Convert-UU.src: W: no-%clean-section
1 packages and 0 specfiles checked; 0 errors, 6 warnings.

Comment 1 Petr Pisar 2010-09-24 11:11:01 UTC
Source tar ball is original.
License verified from lib/Convert/UU.pm.
FIX: Summary text does not end with full stop.
FIX: BuildRequires perl(Exporter) (check-time) missing. This is needed because Exporter package could be dual-life in the future (http://search.cpan.org/search?query=Exporter&mode=all).
TODO: Remove unneeded BuildRoot tag as this is obviously post-F12 spec (no %clean section).
TODO: Report bad interpreter path in puudecode to upstream.
FIX: Remove puudecode puuencode from %doc (effectively same as in %{_bindir})
FIX: Package %{perl_privlib}/* instead of %{perl_vendorlib}/* (INSTALLDIRS=perl)
All tests pass.

$ rpmlint perl-Convert-UU.spec ../SRPMS/perl-Convert-UU-0.5201-1.fc13.src.rpm ../RPMS/noarch/perl-Convert-UU-0.5201-1.fc13.noarch.rpm 
perl-Convert-UU.spec: W: no-cleaning-of-buildroot %clean
perl-Convert-UU.spec: W: no-%clean-section
perl-Convert-UU.src: W: spelling-error Summary(en_US) uuencode -> encoder, encode, Unicode
perl-Convert-UU.src: W: spelling-error Summary(en_US) uudecode -> Unicode, undecided, decoupage
perl-Convert-UU.src: W: spelling-error %description -l en_US uuencode -> encoder, encode, Unicode
perl-Convert-UU.src: W: spelling-error %description -l en_US uudecode -> Unicode, undecided, decoupage
perl-Convert-UU.src: W: no-cleaning-of-buildroot %clean
perl-Convert-UU.src: W: no-%clean-section
perl-Convert-UU.noarch: W: spelling-error Summary(en_US) uuencode -> encoder, encode, Unicode
perl-Convert-UU.noarch: W: spelling-error Summary(en_US) uudecode -> Unicode, undecided, decoupage
perl-Convert-UU.noarch: W: spelling-error %description -l en_US uuencode -> encoder, encode, Unicode
perl-Convert-UU.noarch: W: spelling-error %description -l en_US uudecode -> Unicode, undecided, decoupage
2 packages and 1 specfiles checked; 0 errors, 12 warnings.

rpmlint ouptut is Ok.

$ rpm -pq --requires ../RPMS/noarch/perl-Convert-UU-0.5201-1.fc13.noarch.rpm | sort |uniq -c  
      1 perl(Carp)  
      1 perl(Convert::UU)  
      1 perl(Exporter)  
      1 perl(:MODULE_COMPAT_5.10.1)  
      1 perl(strict)  
      1 perl(vars)  
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 rpmlib(VersionedDependencies) <= 3.0.3-1
      1 /usr/bin/perl  

Binary dependencies Ok.

$ rpm -pq --provides ../RPMS/noarch/perl-Convert-UU-0.5201-1.fc13.noarch.rpm | sort |uniq -c  
      1 perl(Convert::UU) = 0.5201
      1 perl-Convert-UU = 0.5201-1.fc13

Binary provides Ok.

$ rpm -pqlv ../RPMS/noarch/perl-Convert-UU-0.5201-1.fc13.noarch.rpm 
-rwxr-xr-x    1 root    root                     1010 zář 24 12:35 /usr/bin/puudecode
-rwxr-xr-x    1 root    root                      980 zář 24 12:35 /usr/bin/puuencode
drwxr-xr-x    2 root    root                        0 zář 24 12:35 /usr/share/doc/perl-Convert-UU-0.5201
-rw-r--r--    1 root    root                     2341 bře  2  2008 /usr/share/doc/perl-Convert-UU-0.5201/ChangeLog
-rw-r--r--    1 root    root                     1870 bře  2  2008 /usr/share/doc/perl-Convert-UU-0.5201/README
-rw-r--r--    1 root    root                      925 zář 24 12:35 /usr/share/doc/perl-Convert-UU-0.5201/puudecode
-rw-r--r--    1 root    root                      895 bře  2  2008 /usr/share/doc/perl-Convert-UU-0.5201/puuencode
-rw-r--r--    1 root    root                     2016 zář 24 12:35 /usr/share/man/man1/puudecode.1.gz
-rw-r--r--    1 root    root                     2033 zář 24 12:35 /usr/share/man/man1/puuencode.1.gz
-rw-r--r--    1 root    root                     2594 zář 24 12:35 /usr/share/man/man3/Convert::UU.3pm.gz
drwxr-xr-x    2 root    root                        0 zář 24 12:35 /usr/share/perl5/Convert
-rw-r--r--    1 root    root                     5332 bře  2  2008 /usr/share/perl5/Convert/UU.pm

File permissions and location Ok.

Spec file in line with Perl packaging guidelines.

FIX: Does not builds on F15 (http://koji.fedoraproject.org/koji/taskinfo?taskID=2486640).
FIX: Add BuildRequires necessary for %check phase: perl(File::Spec), perl(Test::More), perl(Test::Pod) >= 1.00, perl(Test::Pod::Coverage).

Please fix all `FIX:' prefixed comments and publish new spec file.
Result: NOT APPROVED.

Comment 2 Marcela Mašláňová 2010-09-24 12:02:19 UTC
Thorough review, thank you very much.
Build passed:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2486741
Spec url: http://mmaslano.fedorapeople.org/review/perl-Convert-UU.spec
And bug for upstream: https://rt.cpan.org/Public/Bug/Display.html?id=61609

Comment 3 Petr Pisar 2010-09-24 13:31:32 UTC
> FIX: Summary text does not end with full stop.
TODO: Summary should be a sentence. Append a period character.

> FIX: BuildRequires perl(Exporter) (check-time) missing. This is needed because
> Exporter package could be dual-life in the future
> (http://search.cpan.org/search?query=Exporter&mode=all).
Ok.

> TODO: Remove unneeded BuildRoot tag as this is obviously post-F12 spec (no
> %clean section).
Ok.

> TODO: Report bad interpreter path in puudecode to upstream.
Ok (https://rt.cpan.org/Public/Bug/Display.html?id=61609).

> FIX: Remove puudecode puuencode from %doc (effectively same as in %{_bindir})
Ok.

> FIX: Package %{perl_privlib}/* instead of %{perl_vendorlib}/*
> (INSTALLDIRS=perl)
Ok.

> FIX: Does not builds on F15
> (http://koji.fedoraproject.org/koji/taskinfo?taskID=2486640).
Ok (http://koji.fedoraproject.org/koji/taskinfo?taskID=2486852).

See build.log:
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
t/ext-uu.t .... skipped: (no reason given)

TODO: Investigate why the test was skipped. It works for me on local.
I guess it executes `uudecode' utility from sharutils RPM package (t/ext-uu.t:10). Try to BuildRequire sharutils.

> FIX: Add BuildRequires necessary for %check phase: perl(File::Spec),
> perl(Test::More), perl(Test::Pod) >= 1.00, perl(Test::Pod::Coverage).
Ok 

Please consider fixing  all `TODO:' prefixed comments.
Result: APPROVED.

Comment 4 Marcela Mašláňová 2010-09-24 13:40:32 UTC
No worries. I'll fix also non-blocking issues before upload.

New Package SCM Request
=======================
Package Name: perl-Convert-UU
Short Description: Perl module for uuencode and uudecode
Owners: mmaslano psabata ppisar
Branches: F-15 devel
InitialCC: perl-sig

Comment 5 Kevin Fenzi 2010-09-25 05:06:54 UTC
Git done (by process-git-requests).

We are not doing f15 branches yet.

Comment 6 Marcela Mašláňová 2010-10-04 11:27:47 UTC
sharutils were really needed for whole test suite. Fixed in rawhide.

Comment 7 Lubomir Rintel 2014-01-29 15:36:00 UTC
Package Change Request
======================
Package Name: perl-Convert-UU
New Branches: epel7
Owners: lkundrak

Unfortunately the Fedora maintainer (jplesnik) is not willing to maintain EPEL packages.

Comment 8 Gwyn Ciesla 2014-01-29 16:34:03 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.